### Type parameters

### Hierarchy

- IssueGetFeaturesOptions

## Index

### Properties

- action
- bboxAsGETParam
- coordinate
- dataSources
- extent
- filter
- geometry
- limit
- map
- queryableDataSources
- tolerance

## Properties

### action

action: string

- Defined in src/query/Querent.js:66

The action the MapQuerent should take regarding the queried features. Possible values are:

- `replace`: newly queried features are used as result
- `add`: newly queried features are added to the existing ones
- `remove`: newly queried features are removed from the existing ones

### bboxAsGETParam

bboxAsGETParam: boolean

- Defined in src/query/Querent.js:92

Pass the queried bbox as a parameter of the GET query on WFS requests.

### coordinate

coordinate: Coordinate

- Defined in src/query/Querent.js:72

The coordinate to issue the requests with, which can end up with either WMS or WFS requests.

### dataSources

dataSources: DataSource[]

- Defined in src/query/Querent.js:74

list of data sources to query. Only those that meet the requirements will actually be queried. The querent service requires either the `dataSources` or `queryableDataSources` property to be set.

### extent

extent: Extent

- Defined in src/query/Querent.js:77

The extent to issue the requests with, which can end up with WFS requests only.

### filter

filter: Filter

- Defined in src/query/Querent.js:79

A filter to additionally use with the query. Only used by WFS requests. If a filter is defined, then it is used instead of the data source's filter rules.

### geometry

geometry: Geometry

- Defined in src/query/Querent.js:82

The geometry to use as filter for the requests, which can end up with WFS requests only.

### limit

limit: number

- Defined in src/query/Querent.js:84

The maximum number of features to get per request.

### map

map: Map

- Defined in src/query/Querent.js:85

The ol3 map object. Used to fill some parameters of the queries, such as 'srs' and filter the queryable layers within the data sources.

### queryableDataSources

queryableDataSources: QueryableDataSources

- Defined in src/query/Querent.js:87

A hash of queryable data sources, which must meet all requirements. The querent service requires either the `dataSources` or `queryableDataSources` property to be set.

### tolerance

tolerance: number

- Defined in src/query/Querent.js:90

A minimal buffer value in pixels to ensure a minimal bbox around a coordinate to issue WFS requests.

Generated using TypeDoc